Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xpath.axes
Class OneStepIteratorForward

    java.lang.Object
      |
      +--weblogic.apache.xpath.Expression
            |
            +--weblogic.apache.xpath.patterns.NodeTest
                  |
                  +--weblogic.apache.xpath.axes.PredicatedNodeTest
                        |
                        +--weblogic.apache.xpath.axes.LocPathIterator
                              |
                              +--weblogic.apache.xpath.axes.ChildTestIterator
                                    |
                                    +--weblogic.apache.xpath.axes.OneStepIteratorForward

public class OneStepIteratorForward
extends ChildTestIterator

This class implements a general iterator for those LocationSteps with only one step, and perhaps a predicate, that only go forward (i.e. it can not be used with ancestors, preceding, etc.)

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

See Also:
  `WalkerFactory.newDTMIterator(weblogic.apache.xpath.compiler.Compiler, int, boolean)`, Serialized Form

Field Summary
`protected int` | `m_axis` The traversal axis from where the nodes will be filtered.

Fields inherited from class weblogic.apache.xpath.axes.ChildTestIterator
`m_traverser`

Fields inherited from class weblogic.apache.xpath.axes.LocPathIterator
`m_cdtm, m_clones, m_context, m_currentContextNode, m_execContext, m_last, m_lastFetched, m_next, m_prefixResolver`

Fields inherited from class weblogic.apache.xpath.axes.PredicatedNodeTest
`m_foundLast, m_lpi, m_predCount, m_proximityPositions`

Fields inherited from class weblogic.apache.xpath.patterns.NodeTest
`m_name, m_whatToShow, SCORE_NODETEST, SCORE_NONE, SCORE_NSWILD, SCORE_OTHER, SCORE_QNAME, SHOW_BYFUNCTION, SUPPORTS_PRE_STRIPPING, WILD`

Fields inherited from class weblogic.apache.xpath.Expression
`m_slocator`

Constructor Summary
`OneStepIteratorForward(int axis)` Create a OneStepIterator object that will just traverse the self axes.

Method Summary
`int` | `getAxis()` Returns the axis being iterated, if it is known.
`protected int` | `getNextNode()` Get the next node via getFirstAttribute && getNextAttribute.
`void` | `setRoot(int context, java.lang.Object environment)` Initialize the context values for this expression after it is cloned.

Methods inherited from class weblogic.apache.xpath.axes.ChildTestIterator
`cloneWithReset, nextNode`

Methods inherited from class weblogic.apache.xpath.axes.LocPathIterator
`allowDetachToRelease, asIterator, asNode, bool, detach, execute, findLastPos, getCachedNodes, getContext, getCurrentContextNode, getCurrentNode, getCurrentPos, getDTM, getDTMManager, getExpandEntityReferences, getFilter, getFoundLast, getIsTopLevel, getLast, getLastPos, getLength, getPrefixResolver, getRoot, getWhatToShow, getXPathContext, isDocOrdered, isFresh, isMutable, isNodesetExpr, item, previousNode, reset, returnNextNode, runTo, setCurrentContextNode, setCurrentPos, setEnvironment, setIsTopLevel, setItem, setLast, setNextPosition, setShouldCacheNodes, size`

Methods inherited from class weblogic.apache.xpath.axes.PredicatedNodeTest
`acceptNode, canTraverseOutsideSubtree, clone, countProximityPosition, fixupVariables, getLocPathIterator, getPredicateCount, getPredicateIndex, getProximityPosition, getProximityPosition, getProximityPosition, initPredicateInfo, initProximityPosition, isReverseAxes, nodeToString, resetProximityPositions, setLocPathIterator, setPredicateCount`

Methods inherited from class weblogic.apache.xpath.patterns.NodeTest
`calcScore, debugWhatToShow, execute, execute, getDefaultScore, getLocalName, getNamespace, getNodeTypeTest, getStaticScore, initNodeTest, initNodeTest, setLocalName, setNamespace, setStaticScore, setWhatToShow`

Methods inherited from class weblogic.apache.xpath.Expression
`assertion, error, executeCharsToContentHandler, isStableNumber, num, setSourceLocator, warn, xstr`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_axis

    protected int m_axis

  The traversal axis from where the nodes will be filtered.

Constructor Detail

### OneStepIteratorForward

    public OneStepIteratorForward(int axis)

  Create a OneStepIterator object that will just traverse the self axes.

  Parameters:
    `axis` - One of the weblogic.apache.xml.dtm.Axis integers.
  Throws:
    javax.xml.transform.TransformerException -

Method Detail

### setRoot

    public void setRoot(int context,
                        java.lang.Object environment)

  Initialize the context values for this expression after it is cloned.

  Parameters:
    `execContext` - The XPath runtime context for this transformation.
  Overrides:
    setRoot in class ChildTestIterator

### getNextNode

    protected int getNextNode()

  Get the next node via getFirstAttribute && getNextAttribute.

  Overrides:
    getNextNode in class ChildTestIterator

### getAxis

    public int getAxis()

  Returns the axis being iterated, if it is known.

  Returns:
    Axis.CHILD, etc., or -1 if the axis is not known or is of multiple types.
  Overrides:
    getAxis in class ChildTestIterator

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference